Subject: Re: bug#25355: 26.0.50; Provide function to non-destructively replace buffer contents
From: Philipp Stephani <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Jun 2017 13:47:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Philipp Stephani <[email-masked]> schrieb am Mo., 12. Juni 2017 um
23:17 Uhr:

> Philipp Stephani <[email-masked]> schrieb am So., 7. Mai 2017 um
> 20:21 Uhr:
>
>>
>>
>>> P.S. Doesn't GNU Diff have code to do this?
>>
>>
>> Sure, but it's not a library. libmba was the only library that I've found
>> so far with a usable interface (i.e. that doesn't assume that the input
>> sequences are byte arrays).
>>
>>
>
> Apparently I didn't look closely enough: Diffutils uses an implementation
> of the Myers algorithm from Gnulib, which is customizable enough to fit our
> needs. I've attached a patch that uses Gnulib.
>

I've pushed a slightly modified version of this patch as d682f0daa3.